#!/usr/bin/env python

"""Given a list of urls, download them, 100 per directory."""

import argparse
import json
import os
import subprocess

def parse_args():
    parser = argparse.ArgumentParser(
        formatter_class=argparse.ArgumentDefaultsHelpFormatter)
    parser.add_argument('--url-list', required=True,
                        help='url list, one per line')
    return parser.parse_args()

if __name__ == '__main__':
    args = parse_args()
    url_list = open(args.url_list).read().strip().split('\n')
    url_list = [s.strip('"') for s in url_list]
    count = 0
    for url in url_list:
        dir_name = '%02d' % (count / 100)
        if not os.path.exists(dir_name):
            os.mkdir(dir_name)
        try:
            subprocess.check_call(['curl', '-o', '%s/%03d.svg' % (
                dir_name, count), url])
            count += 1
        except Exception:
            print('Failed to get %s' % url)
